package com.trade.admin.workflow.dto;


import com.trade.common.core.dto.BaseSearch;

import java.util.Date;
import java.util.List;

/**
 * @Description:业务列表查询条件
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年7月30日 下午7:07:46
 */
public class SearchBusinessProcessingTask extends BaseSearch {

    /**
     * 业务编号/保理合同编号
     */
    private String searchNumber;

    /**
     * 业务编号
     **/
    private String businessNo;
    /**
     * 企业名称
     **/
    private String customerName;
    /**
     * 统一社会信用码
     **/
    private String socialCreditCode;
    /**
     * 业务状态（数据字典）ID
     **/
    private Long statusId;
    /**
     * 业务状态（数据字典）code
     **/
    private String status;
    /**
     * 发票类型（数据字典）ID
     **/
    private Long invoiceTypeId;
    /**
     * 金额种类（数据字典）ID
     **/
    private Long amountKindId;
    /**
     * 流程主业务基础类简单类名称，如ProjectInitiation.class.getSimpleName()，DueDiligence.class.getSimpleName()
     **/
    private String simpleClassName;
    /**
     * 任务ID
     **/
    private String taskId;
    /**
     * 源（主）业务ID，如付款申请流程，一个合同付款信息（称之为源业务）针对多个付款申请流程业务
     **/
    private String sourceBusinessId;
    /**
     * 消息的业务类型(数据字典ID)
     **/
    private Long businessTypeId;
    /**
     * 消息的类型(数字字典ID)
     **/
    private Long msgTypeId;
    /**
     * 当前登陆用户ID
     **/
    private Long userId;
    /**
     * 权限可查询数据的所有id
     **/
    private List<Long> userIds;
    /**
     * 节点任务执行人ID集合
     **/
    private List<Long> assigneeIds;// 不包括分配人，否则还要关联表direct_assignable_task

    /**
     * 开始时间
     **/
    private Date startDate;

    /**
     * 结束时间
     **/
    private Date endDate;

    private Long supplierId;

    /**
     * 列表接口三合一，用来区分待我处理，我已处理，全部
     */
    private String difference;

    /**
     * 名称
     **/
    private String backName;

    private String comeFrom;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getComeFrom() {
        return comeFrom;
    }

    public void setComeFrom(String comeFrom) {
        this.comeFrom = comeFrom;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public Long getStatusId() {
        return statusId;
    }

    public void setStatusId(Long statusId) {
        this.statusId = statusId;
    }

    public Long getInvoiceTypeId() {
        return invoiceTypeId;
    }

    public void setInvoiceTypeId(Long invoiceTypeId) {
        this.invoiceTypeId = invoiceTypeId;
    }

    public Long getAmountKindId() {
        return amountKindId;
    }

    public void setAmountKindId(Long amountKindId) {
        this.amountKindId = amountKindId;
    }

    public String getSimpleClassName() {
        return simpleClassName;
    }

    public void setSimpleClassName(String simpleClassName) {
        this.simpleClassName = simpleClassName;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getSourceBusinessId() {
        return sourceBusinessId;
    }

    public void setSourceBusinessId(String sourceBusinessId) {
        this.sourceBusinessId = sourceBusinessId;
    }

    public Long getBusinessTypeId() {
        return businessTypeId;
    }

    public void setBusinessTypeId(Long businessTypeId) {
        this.businessTypeId = businessTypeId;
    }

    public Long getMsgTypeId() {
        return msgTypeId;
    }

    public void setMsgTypeId(Long msgTypeId) {
        this.msgTypeId = msgTypeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<Long> getAssigneeIds() {
        return assigneeIds;
    }

    public void setAssigneeIds(List<Long> assigneeIds) {
        this.assigneeIds = assigneeIds;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getDifference() {
        return difference;
    }

    public void setDifference(String difference) {
        this.difference = difference;
    }

    public String getBackName() {
        return backName;
    }

    public void setBackName(String backName) {
        this.backName = backName;
    }

    public String getSearchNumber() {
        return searchNumber;
    }

    public void setSearchNumber(String searchNumber) {
        this.searchNumber = searchNumber;
    }
}
